Package: grails.core

## [Java] Interface ApplicationAttributes

-     public interface ApplicationAttributes

  Authors:
    Graeme Rocher
  Since:
    0.4

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `java.lang.String` | `APPLICATION` |
    `java.lang.String` | `APPLICATION_CONTEXT` |
    `java.lang.String` | `PARENT_APPLICATION_CONTEXT` |
    `java.lang.String` | `PLUGIN_MANAGER` |
    `java.lang.String` | `REQUEST_SCOPE_ID` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public org.springframework.context.ApplicationContext` | `getApplicationContext()` Returns: The application context for servlet
    `` | `public GrailsApplication` | `getGrailsApplication()` Returns: Retrieves the grails application instance

- - ### Field Detail

    - #### java.lang.String APPLICATION

    - #### java.lang.String APPLICATION_CONTEXT

    - #### java.lang.String PARENT_APPLICATION_CONTEXT

    - #### java.lang.String PLUGIN_MANAGER

    - #### java.lang.String REQUEST_SCOPE_ID

  - ### Method Detail

    - #### public org.springframework.context.ApplicationContext getApplicationContext()

      Returns:
        The application context for servlet

    - #### public GrailsApplication getGrailsApplication()

      Returns:
        Retrieves the grails application instance